export function val(api) {
    let form = document.getElementById("login-form");

    if (form.checkValidity() === false) {
        this.event.preventDefault();
        this.event.stopPropagation();
        form.classList.add("was-validated");
        return;
    }
    form.classList.add("was-validated");

    let payload = {
        email: document.getElementById("email").value,
        password: document.getElementById("password").value,
    };

    const requestOptions = {
        method: 'post',
        headers: {
            'Accept': 'application/json',
            'Content-Type': 'application/json',
        },
        body: JSON.stringify(payload),
    };

    fetch(api + "/api/authenticate", requestOptions)
        .then(response => response.json())
        .then(response => {
            console.log(response)
        });
}


